from django.apps import AppConfig


class SocialConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'apps.social'
    
    def ready(self):
        """
        Import signals when app is ready to ensure they are registered.
        """
        import apps.social.signals
